package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: dominic
 * @CreateDate: 2020\11\13 09:59
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_DEFECT_LOCATION")
@Api("产品缺陷位置")
public class MesDefectLocation extends BaseBean implements Serializable {

    @Column(name = "DEFECT_LOCATION")
    @ApiParam("缺陷位置代码")
    private String defectLocation;

    @Column(name = "DEFECT_NAME")
    @ApiParam("缺陷位置名称")
    private String defectName;
}
