package cn.estsh.i3plus.pojo.mes.pcn.model;

import cn.estsh.i3plus.pojo.mes.pcn.bean.MesDefect;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\11\28 19:50
 * @Modify:
 **/
@Data
public class DefectModel {

    private Long id;

    @ApiParam("缺陷代码")
    private String defectCode;

    @ApiParam("缺陷名称")
    private String defectName;

    @ApiParam("缺陷类型")
    private String defectType;

    @ApiParam("缺陷类型名称")
    private String defectTypeName;

    @ApiParam("缺陷位置")
    private String defectLocation;

    @ApiParam("缺陷类型子集")
    private List<DefectModel> mesDefectList;

    public DefectModel() {

    }

    public DefectModel(Long id, String defectCode, String defectName, String defectType, String defectTypeName) {
        this.id = id;
        this.defectCode = defectCode;
        this.defectName = defectName;
        this.defectType = defectType;
        this.defectTypeName = defectTypeName;
    }
}
