package cn.estsh.i3plus.pojo.wms.bean.snapshot.erp;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : ERP 数据快照时间
 * @Reference :
 * @Author : rock.yu
 * @CreateDate : 2020-10-24 18:24
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_ERP_CHECK_POINT")
public class WmsErpCheckPoint extends BaseBean {

    private static final long serialVersionUID = 5589607687871639189L;

    @Column(name="SNAPSHOT_TIME", columnDefinition="varchar(225) default ''", nullable=false)
    @ApiParam("快照时间")
    public String snapshotTime;
}
